# pool.h File Reference

Pools of RTP sessions. More...

`#include <list>`
`#include <ccrtp/rtp.h>`

Go to the source code of this file.

## Classes

class | RTPSessionBaseHandler
class | SessionListElement
| Class for tracking session status. More...
class | PredEquals
| std equality for SessionListElement objects. More...
class | RTPSessionPool
| This class is a base class for classes that define a group of RTP sessions that will be served by one or more execution threads. More...
class | SingleRTPSessionPool

## Typedefs

typedef TRTPSessionBase | RTPSessionBase

## Detailed Description

Pools of RTP sessions.

## Typedef Documentation

typedef TRTPSessionBase RTPSessionBase